/* $Id: nbp.h,v 3.1 1997/11/28 19:45:28 tom Exp $ */

/*
 * Copyright (c) 1997-2004, Gerben Wierda, R&A All rights reserved
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 * 
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 * 
 * Neither the name of R&A nor the names of its contributors may be used to
 * endorse or promote products derived from this software without specific prior
 * written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/* No POSIX module for NEXTSTEP system calls */

#if !defined( _RnA_NOPOSIX_DEFINED)
#      define _RnA_NOPOSIX_DEFINED 1

extern int _RnA_getposix();
extern int _RnA_setposix( int i);

#   if !defined( NOPOSIX_QAD)
#	define open _RnA_noposix_open
#	define close _RnA_noposix_close
#	define write _RnA_noposix_write
#	define read _RnA_noposix_read
#	define lseek _RnA_noposix_lseek
#	define creat _RnA_noposix_creat
#	define mmap _RnA_noposix_mmap
#	define munmap _RnA_noposix_munmap
#   endif

#endif // _RnA_NOPOSIX_DEFINED
